Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowImplicit
Authorization URL
login.synack.com
Scopes2
assetdiscovery_ow
Grants organization-level to create or modify seed groups and seeds.
asset_client_lw
Grants listing-level to write seed groups and seeds.

Path Parameters

organizationUid
string
required

Unique identifier for an organization group. Unique identifier for an organization.

Pattern: ^[-_0-9a-z]{1,50}
seedGroupUid
string
required

Unique identifier for a seed group.

Pattern: ^[0-9a-f]{12}

Body

application/json

Properties of new seed.

name
string
required
seedType
enum<string>
required
Available options:
ip,
domain,
cidr,
ip_range
tags
string[]
Pattern: ^[-_0-9a-zA-Z]{1,16}

Response

The current state of a scope rule.

name
string
required
read-only

User-supplied name for this seed.

seedType
enum<string>
required
Available options:
ip,
domain,
cidr,
ip_range
createdAt
string<date-time>
required
read-only

Automatically set by the server to the time the request was processed whenever the resource was created.

createdBy
string
required
read-only

Automatically set by the server to the requesting user whenever the resource is updated. May be a user account or a service account if the action is performed by an automated.

Pattern: ^[0-9a-f]{12}
uid
string
read-only

Unique Identifier.

Pattern: ^[0-9a-f]{12}
seedGroupUid
string

Unique identifier for a seed group.

Pattern: ^[0-9a-f]{12}
organizationUid
string

Unique identifier for an organization.

Pattern: ^[-_0-9a-z]{1,50}
tags
string[]
Pattern: ^[-_0-9a-zA-Z]{1,16}
updatedAt
string<date-time>
read-only

Automatically set by the server to the time the request was processed whenever the resource is updated.

updatedBy
string
read-only

Automatically set by the server to the requesting user whenever the resource is updated. May be a user account or a service account if the action is performed by an automated.

Pattern: ^[0-9a-f]{12}